%define module	poppler-qt5

Name:		python-%{module}
Version:	0.24.2
Release:	%mkrel 1
Summary:	Python binding to Poppler-Qt5 C++ library
Group:		Development/Python
License:	LGPLv2+
# https://github.com/wbsoft/python-poppler-qt5
URL:		https://pypi.python.org/pypi/python-poppler-qt5/
Source0:	https://pypi.io/packages/source/p/python-poppler-qt5/%{name}-%{version}.tar.gz
# from github master branch: 2017-02-14
Patch0:		%{name}-0.24.2-backport-some-upstream-fixes.patch
BuildRequires:	pkgconfig(poppler-qt5)

BuildRequires:	pkgconfig(python2)
BuildRequires:	python-qt5-devel
BuildRequires:	python-sip >= 4.9.1

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-sip-devel >= 4.9.1

%description
Python bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python and using Poppler set.

#------------------------------------------------

%package -n	python2-%{module}
Summary:	Python 2 binding to Poppler-Qt5 C++ library
Group:		Development/Python
Requires:	sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n	python2-%{module}
Python 2 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 2 and using Poppler set.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to Poppler-Qt5 C++ library
Group:		Development/Python
Requires:	python3-sip-api(%{_sip_api_major}) >= %{_sip_api}

%description -n	python3-%{module}
Python 3 bindings for the Poppler PDF rendering library. It is needed
to run programs written in Python 3 and using Poppler set.

#------------------------------------------------

%prep
%setup -q
%autopatch -p1

cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

%install
%py2_install

pushd %{py3dir}
%py3_install
popd

%files -n python2-%{module}
%doc ChangeLog TODO README.rst
%license LICENSE
%{python2_sitearch}/popplerqt5.so
%{python2_sitearch}/python_poppler_qt5-%{version}-py%{python2_version}.egg-info

%files -n python3-%{module}
%doc ChangeLog TODO README.rst
%license LICENSE
%{python3_sitearch}/popplerqt5.*.so
%{python3_sitearch}/python_poppler_qt5-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Feb 27 2017 daviddavid <daviddavid> 0.24.2-1.mga6
+ Revision: 1088117
- initial package python-poppler-qt5

